#!/bin/sh

CWD=`pwd`
PKG=/tmp/package-gnome-vfs

VERSION=2.24.0
ARCH=i486
BUILD=54.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG

cd /tmp
tar xvf $CWD/gnome-vfs-$VERSION.tar.bz2
cd gnome-vfs-$VERSION
chown -R root.root .
find . -perm 666 -exec chmod 644 {} \;
find . -perm 664 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --enable-static=no \
  --sysconfdir=/etc \
  --localstatedir=/var/lib \
  $ARCH-slackware-linux

make
make install DESTDIR=$PKG
chown -R root:root $PKG/usr/bin
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/gnome-vfs-$VERSION

cp -a \
  AUTHORS COPYING COPYING.LIB HACKING NEWS README TODO \
  $PKG/usr/doc/gnome-vfs-$VERSION
mkdir -p $PKG/usr/src/gnome-vfs-$VERSION
cp $CWD/build-gnome-vfs.sh $PKG/usr/src/gnome-vfs-$VERSION/

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|' on
# the right side marks the last column you can put a character in.  You must make
# exactly 11 lines for the formatting to be correct.  It's also customary to
# leave one space after the ':'.
         |-----handy-ruler------------------------------------------------------|
gnome-vfs: gnome-vfs
gnome-vfs:
gnome-vfs: This is the GNOME Virtual File System, currently used as one of the
gnome-vfs: foundations of the Nautilus file manager.
gnome-vfs: 
gnome-vfs:
gnome-vfs:
gnome-vfs:
gnome-vfs:
gnome-vfs:
gnome-vfs:
EOF

cat <<"EOF" > $PKG/install/doinst.sh
/sbin/ldconfig
EOF

mkdir -p $PKG/etc/gconf/gconf.xml.defaults
GCONF_CONFIG_SOURCE="xml::$PKG/etc/gconf/gconf.xml.defaults"
export GCONF_CONFIG_SOURCE
for schema in $PKG/etc/gconf/schemas/*.schemas; do
        if [ "$entry" != "$PKG/etc/gconf/schemas/*.schemas" ]; then
                gconftool-2 --makefile-install-rule $schema
        fi
done
for entry in $PKG/etc/gconf/schemas/*.entries; do
        if [ "$entry" != "$PKG/etc/gconf/schemas/*.entries" ]; then
                gconftool-2 --direct --config-source=$GCONF_CONFIG_SOURCE --load $entry
        fi
done

cd $PKG
makepkg -l y -c n ../gnome-vfs-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum gnome-vfs-$VERSION-$ARCH-$BUILD.tgz > gnome-vfs-$VERSION-$ARCH-$BUILD.md5
